summaryrefslogtreecommitdiffstats
path: root/source/l/gtkspell/gtkspell.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gtkspell/gtkspell.SlackBuild')
-rwxr-xr-xsource/l/gtkspell/gtkspell.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/source/l/gtkspell/gtkspell.SlackBuild b/source/l/gtkspell/gtkspell.SlackBuild
index 395789417..b4d6eb3f0 100755
--- a/source/l/gtkspell/gtkspell.SlackBuild
+++ b/source/l/gtkspell/gtkspell.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2006, 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gtkspell
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-6}
+BUILD=${BUILD:-7}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -78,6 +78,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+zcat $CWD/gtkspell.enchant-2.diff.gz | patch -p1 --verbose || exit 1
+
# Regenerate build system to fix newer gtk-doc dropping gtkdoc-mktmpl:
gtkdocize
autoreconf -vif